Build 'dev' as well as 'binary' Debian packages
50%
Description

Associated revisions

Revision 35 - 02/08/2012 06:37 PM - anordman
Build two seperate debian packages:
- bin with just the binaries
- dev with headers, documentation and configuration files
refs #854

History

#1 - 02/08/2012 06:46 PM - Anonymous
- Status changed from New to In Progress
- % Done changed from 0 to 50

Now building two seperate debian packages:
- ...-bin.deb with just the binaries

- ..-dev.deb with headers, documentation and configuration files

Jenkins shows, that this seems to work only for ubuntu versions >lucid.

#2 - 02/09/2012 11:43 AM - Anonymous

Only oneiric seems to build appropriate debian packages, natty seems to only split up the tar.gz packages (not the deb-packages) into dev and bin.

Furthermore packages are not yet properly exported to http://packages.cor-lab.org yet (see 359).

#3 - 02/09/2012 03:53 PM - Anonymous

Rady to be tested on oneiric, see
http://packages.cor-lab.org/ubuntu/dists/oneiric/testing/binary-i386/

#4 - 02/14/2012 01:57 PM - M. Rolf

The binary package doesnt work if a 'local' version of ContinuumKinematics is somewhere in the LD_LIBRARY_PATH. Can the packaging/build

process be configured such that the binaries have a fixed rpath to /usr/lib/libContinuumKinematics.so???

#5 - 02/14/2012 02:05 PM - M. Rolf

04/17/2024



http://packages.cor-lab.org
https://support.cor-lab.org/issues/359
http://packages.cor-lab.org/ubuntu/dists/oneiric/testing/binary-i386/

oh, an can the nemomath-dependency be removed from the binary package? The dependency is only necessary for the 'dev' package.

#6 - 02/16/2012 02:32 PM - M. Rolf

For the rpath issue, see http://www.semipol.de/archives/356
